## org.apache.xerces.xs
Interface XSMultiValueFacet

All Superinterfaces:
  XSObject

public interface XSMultiValueFacet
extends XSObject

Describes a multi-value constraining facets: pattern and enumeration.

Method Summary
`XSObjectList` `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`short` `getFacetKind()` The name of the facet, i.e.
`StringList` `getLexicalFacetValues()` Values of this facet.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getFacetKind

    public short getFacetKind()

  The name of the facet, i.e. `FACET_ENUMERATION` and `FACET_PATTERN` (see `XSSimpleTypeDefinition`).

### getLexicalFacetValues

    public StringList getLexicalFacetValues()

  Values of this facet.

### getAnnotations

    public XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.